Support » Plugin: Checkout with Vipps for WooCommerce » Not working…

  • Resolved zorensen

    (@zorensen)


    Jeg følger instruksjonene til punkt og prikke. Henter all informasjon jeg trenger fra Vipps Developer, men får bare beskjed om at “Dessverre så er Vipps-betaling ikke tilgjengelig for øyeblikket. Vennligst velg en annen metode.”

    Hva gjør jeg feil? Kan instruksjonen være mer detaljert? Det står blant annet “Application secret”, men alt jeg finner er “Client secret”. Inne i WooCommerce står det at tilkobling til Vipps er OK.

Viewing 12 replies - 1 through 12 (of 12 total)
  • Plugin Author iverok

    (@iverok)

    Hei,

    “Tilkobling til Vipps ok” gjelder Access Token-nøkkelen.

    Feilen du får ved forsøk på kjøp betyr at det er feil Application/Client secret, enten ved

    – at den er tastet feil,
    – eller at du har tilgang kun til test-api’et
    – eller at du har tilgang kun til versjon 1.0 av APIet.

    Vi beklager at det er litt ugreit å få dette på plass for tiden og at terminologien varierer.

    Hvis du er inne i utviklerportalen, skal du se “eCommerce Express Checkout with Signup-Login API” eller “eCommerce Express Checkout” som skal inneholde API’et “eCommerce v2”.

    Hvis du sjekker dette først og det likevel ikke går igjennom, send oss din Merchant Serial Number (“Saleunit Serial Number” i utviklerportalen under Applications) til oss på <support @ wp-hosting.no > så skal vi videreformidle situasjonen til vår kontakt i Vipps.

    Hei!

    Takk for raskt svar!

    Ser at jeg KUN har eCommerce v1 under «eCommerce» og «Access token» under «Access token» under fanen «Products»… Kan jeg rette dette selv, eller må Vipps gjøre det for meg?

    Plugin Author iverok

    (@iverok)

    Det må gjøres hos Vipps. Ta kontakt med dem, si at du skal bruke WooCommerce-pluginen og derfor trenger versjon 2 av eCommerce-api’et med Express Checkout i live-miljøet.

    Takk for rask og super hjelp! Jeg tar kontakt med Vipps og prøver igjen!

    Fungerer fortsatt ikke…

    I følge Vipps skal alt fungere, selv med v1 av APIet. De skulle ta en prat med dere utviklere av utvidelsen, fikk jeg beskjed om.

    Synes oppsettet av dette, ikke selve utvidelsen – men tilgang til Vipps APIet, er unødvendig avansert.

    Plugin Author iverok

    (@iverok)

    Hei,

    Det stemmer dessverre ikke; vi støtter ikke versjon 1 av APIet. Dette har anderledes kallstruktur og støtter ikke hurtigkassen, så det er ikke trivielt å støtte begge samtidig.

    Jeg er enig i at det er mange nøkler, versjoner og APIer akkurat nå, men Vipps jobber med saken. Jeg har tatt opp din henvendelse med vår kontakt hos dem.

    Takk igjen for raske og gode svar 🙂

    Tviler ikke på deg, men det er så lett å bli forvirret når man får forskjellige tilbakemeldinger fra dere og fra Vipps. Vil jo bare ha dette til å fungere! 🙂

    Hei, zorensen

    Beklager at du har tått feil informasjon fra oss i Vipps. Har du et nummer for supportsaken, så vi kan finne ut hva som har skjedd? Uansett har vi informert igjen om dette internt.

    Christian Løverås
    Head of APIs and Integrations, Vipps

    Hei!

    Takk for svar!
    Dette er hva jeg har i emnet på korrespondansen;
    VSD-900 VS: vipps på nett nr. 528177

    Hjelper det?

    Hei igjen!

    Da har jeg fått API v2, og da fungerte alt med det samme! Takk for hjelp og raske svar!

    Dette er ikke ment som kritikk, men synes likevel at registrering, oppsett og alt med APIet til Vipps var unødvendig komplisert..,

    Hei!

    Det var bra, og beklager igjen at vi gjorde feil og at det tok tid å fikse.

    Vi jobber med å gjøre det enklere å bli Vipps-kunde, og alle innspill mottas med takk! Send det gjerne til integration@vipps.no.

    Vi er i gang med mer automatisering av flere prosesser, som vil gjøre det raskere og enklere både Vipps og kunder. Dokumentasjonen og feilmeldinger kan kanskje også forbedres – kom gjerne med tips.

    Det er verdt å nevne at vi må gjøre en del rundt “KYC (Know Your Customer) og “AML” (Anti Money Laundering, hvitvasking) ved opprettelse av kundeforhold, og ikke alt kan gå helt automatisk.

    Nå er forresten API-dokumentasjonen tilgjengelig på GitHub: https://github.com/vippsas/vipps-ecom-api

    Christian Løverås
    Head of APIs and Integrations, Vipps

    Plugin Author pmbakken

    (@pmbakken)

    Denne er altså løst, og problemet var at butikken hadde fått versjon 1 av API, mens plugin krever versjon 2.

    Pål Martin
    WP Hosting

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘Not working…’ is closed to new replies.